<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_c" name="index_c"></a>- c -</h3><ul>
<li>CalculateSize()&#160;:&#160;<a class="el" href="classgg_1_1Box.html#abf0376ad8f0a66a44a6456d878706c43">gg::Box</a>, <a class="el" href="classgg_1_1HBox.html#a66cd3c29d1efbdb02abe5e406fa19dd8">gg::HBox</a>, <a class="el" href="classgg_1_1VBox.html#a9957d5b722825a869efe585dff3f301b">gg::VBox</a></li>
<li>ChangeLocation()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#a9177e1c9a4857d524f94bb302b8ee7a8">gg::Map</a></li>
<li>ChangeState()&#160;:&#160;<a class="el" href="classgg_1_1GameEngine.html#a0c2d2187296c29983a4583e98597637a">gg::GameEngine</a></li>
<li>ChangeTile()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#ae9eb74d5200bd9ebec980e31c5611298">gg::Map</a></li>
<li>CheckSubscriberExistence&#160;:&#160;<a class="el" href="classgg_1_1EventDispatcher.html#ab3245f7372c0d5384580f75c0ce2301b">gg::EventDispatcher</a></li>
<li>ClearToggle()&#160;:&#160;<a class="el" href="classgg_1_1ToggleGroup.html#a7007e2548e51ee5d37d1032e2229fcb6">gg::ToggleGroup</a></li>
<li>Container()&#160;:&#160;<a class="el" href="classgg_1_1Container.html#aad029655cfe40dd72ff0ed3c9017785e">gg::Container</a></li>
<li>ContainsPoint()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a0d7aa6562bcf0dbe1fe83d571c61f8fc">gg::SceneNode</a></li>
<li>ControlsMenu()&#160;:&#160;<a class="el" href="classgg_1_1ControlsMenu.html#ac62a64820a60c6765b4c0596878b4c54">gg::ControlsMenu</a></li>
<li>CreateCanalTile()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#a0144d50a38f0009ae27c8dd1e8e189e2">gg::Map</a></li>
<li>CreateGrassTile()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#ac61d0c10d7d97efcc02442ceb7837781">gg::Map</a></li>
<li>CreateIndustrialTile()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#a35b3d781ff55c72bf709d37d7e368cf4">gg::Map</a></li>
<li>CreateResidentialTile()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#a0ba0aa7796a4478c56bde6efff1fe094">gg::Map</a></li>
<li>CreateRoadTile()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#a422a0accec11601b74e894f49ac43d52">gg::Map</a></li>
<li>CreateTreeTile()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#a9889aeb4d9d1c7d4e758c6e858b551c3">gg::Map</a></li>
<li>CreateWaterDownTile()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#a4128f6e11fbb519156cdbdc6c46598a6">gg::Map</a></li>
<li>CreateWaterTile()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#ad6d8d27541c3d337e8e3659ed175ae19">gg::Map</a></li>
<li>CurrentState()&#160;:&#160;<a class="el" href="classgg_1_1GameEngine.html#af2fd746ff3c3426861968289d2ac9bb0">gg::GameEngine</a></li>
<li>CustomGameState()&#160;:&#160;<a class="el" href="classgg_1_1CustomGameState.html#a2cd5c3758b06d61d5c3c3142cc06e110">gg::CustomGameState</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
